## astromenace 1.3.1+repack

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# project name
PROJECT(AstroMenace)


# depends
set(SDL_CONFIG "sdl-config" CACHE STRING "Path to sdl-config script")
EXEC_PROGRAM(${SDL_CONFIG} ARGS "--cflags" OUTPUT_VARIABLE SDL_CFLAGS)
EXEC_PROGRAM(${SDL_CONFIG} ARGS "--libs" OUTPUT_VARIABLE SDL_LIBS)


IF (NOT APPLE)
FIND_PACKAGE(X11 REQUIRED)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${X11_LIBRARIES})
ENDIF (NOT APPLE)

FIND_PACKAGE(SDL REQUIRED)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${SDL_LIBS})

FIND_PACKAGE(OpenGL REQUIRED)
IF(OPENGL_FOUND)
	INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
ELSE(OPENGL_FOUND)
	MESSAGE(FATAL_ERROR "OpenGL not found")
ENDIF(OPENGL_FOUND)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${OPENGL_gl_LIBRARY})

FIND_PACKAGE(OpenAL REQUIRED)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${OPENAL_LIBRARY})



# Xinerama lib + header

IF (NOT APPLE)
FIND_LIBRARY(XINERAMA_LIBRARY Xinerama)
IF(XINERAMA_LIBRARY)
	MESSAGE(STATUS "Found Xinerama: ${XINERAMA_LIBRARY}")
ELSE(XINERAMA_LIBRARY)
	MESSAGE(FATAL_ERROR "Xinerama not found")
ENDIF(XINERAMA_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${XINERAMA_LIBRARY})
FIND_PATH(XINERAMA_INCLUDE_DIR X11/extensions/Xinerama.h
 	HINTS
 	PATHS
 	PATH_SUFFIXES include)
IF(XINERAMA_INCLUDE_DIR)
	MESSAGE(STATUS "Found Xinerama headers: ${XINERAMA_INCLUDE_DIR}")
ELSE(XINERAMA_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "Xinerama headers not found")
ENDIF(XINERAMA_INCLUDE_DIR)
INCLUDE_DIRECTORIES(${XINERAMA_INCLUDE_DIR})
ENDIF (NOT APPLE)


# GLU lib + header (GLU - part of OpenGL framework in MacOSX)

IF (NOT APPLE)
FIND_LIBRARY(GLU_LIBRARY GLU)
IF(GLU_LIBRARY)
	MESSAGE(STATUS "Found GLU: ${GLU_LIBRARY}")
ELSE(GLU_LIBRARY)
	MESSAGE(FATAL_ERROR "GLU not found")
ENDIF(GLU_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${GLU_LIBRARY})
FIND_PATH(GLU_INCLUDE_DIR GL/glu.h
 	HINTS
	$ENV{GLUTDIR}
	$ENV{GLU_PATH}
 	PATHS
 	PATH_SUFFIXES include/GL include)
IF(GLU_INCLUDE_DIR)
	MESSAGE(STATUS "Found GLU headers: ${GLU_INCLUDE_DIR}")
ELSE(GLU_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "GLU headers not found")
ENDIF(GLU_INCLUDE_DIR)
INCLUDE_DIRECTORIES(${GLU_INCLUDE_DIR})
ENDIF (NOT APPLE)


# alut lib + header

FIND_LIBRARY(ALUT_LIBRARY alut)
IF(ALUT_LIBRARY)
	MESSAGE(STATUS "Found alut: ${ALUT_LIBRARY}")
ELSE(ALUT_LIBRARY)
	MESSAGE(FATAL_ERROR "alut not found")
ENDIF(ALUT_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${ALUT_LIBRARY})
FIND_PATH(ALUT_INCLUDE_DIR alut.h
 	HINTS
	$ENV{ALUTDIR}
	$ENV{ALUT_PATH}
 	PATHS
 	PATH_SUFFIXES include/AL include)
IF(ALUT_INCLUDE_DIR)
	MESSAGE(STATUS "Found alut headers: ${ALUT_INCLUDE_DIR}")
ELSE(ALUT_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "alut headers not found")
ENDIF(ALUT_INCLUDE_DIR)
INCLUDE_DIRECTORIES(${ALUT_INCLUDE_DIR})


# ogg lib + header

FIND_LIBRARY(OGG_LIBRARY ogg)
IF(OGG_LIBRARY)
	MESSAGE(STATUS "Found ogg: ${OGG_LIBRARY}")
ELSE(OGG_LIBRARY)
	MESSAGE(FATAL_ERROR "ogg not found")
ENDIF(OGG_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${OGG_LIBRARY})
FIND_PATH(OGG_INCLUDE_DIR ogg/ogg.h
	HINTS
	$ENV{OGGDIR}
        $ENV{OGG_PATH}
 	PATHS
 	PATH_SUFFIXES include)
IF(OGG_INCLUDE_DIR)
	MESSAGE(STATUS "Found ogg headers: ${OGG_INCLUDE_DIR}")
ELSE(OGG_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "ogg headers not found")
ENDIF(OGG_INCLUDE_DIR)
INCLUDE_DIRECTORIES(${OGG_INCLUDE_DIR})


# vorbis lib

FIND_LIBRARY(VORBIS_LIBRARY vorbis)
IF(VORBIS_LIBRARY)
	MESSAGE(STATUS "Found vorbis: ${VORBIS_LIBRARY}")
ELSE(VORBIS_LIBRARY)
	MESSAGE(FATAL_ERROR "vorbis not found")
ENDIF(VORBIS_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${VORBIS_LIBRARY})


# vorbisfile lib + header

FIND_LIBRARY(VORBISFILE_LIBRARY vorbisfile)
IF(VORBISFILE_LIBRARY)
	MESSAGE(STATUS "Found vorbisfile: ${VORBISFILE_LIBRARY}")
ELSE(VORBISFILE_LIBRARY)
	MESSAGE(FATAL_ERROR "vorbisfile not found")
ENDIF(VORBISFILE_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${VORBISFILE_LIBRARY})
FIND_PATH(VORBISFILE_INCLUDE_DIR vorbis/vorbisfile.h
	HINTS
        $ENV{VORBISFILEDIR}
        $ENV{VORBISFILE_PATH}
        $ENV{VORBISDIR}
        $ENV{VORBIS_PATH}
 	PATHS
 	PATH_SUFFIXES vorbis include)
IF(VORBISFILE_INCLUDE_DIR)
	MESSAGE(STATUS "Found vorbisfile headers: ${VORBISFILE_INCLUDE_DIR}")
ELSE(VORBISFILE_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "vorbisfile headers not found")
ENDIF(VORBISFILE_INCLUDE_DIR)
INCLUDE_DIRECTORIES(${VORBISFILE_INCLUDE_DIR})


# freetype lib + header

FIND_LIBRARY(FREETYPE_LIBRARY freetype)
IF(FREETYPE_LIBRARY)
	MESSAGE(STATUS "Found freetype: ${FREETYPE_LIBRARY}")
ELSE(FREETYPE_LIBRARY)
	MESSAGE(FATAL_ERROR "freetype not found")
ENDIF(FREETYPE_LIBRARY)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${FREETYPE_LIBRARY})
FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h
	HINTS
	$ENV{FREETYPE_DIR}/include/freetype2
	PATHS
	PATH_SUFFIXES freetype2)
IF(FREETYPE_INCLUDE_DIR_freetype2)
	MESSAGE(STATUS "Found freetype2 headers: ${FREETYPE_INCLUDE_DIR_freetype2}")
ELSE(FREETYPE_INCLUDE_DIR_freetype2)
	MESSAGE(FATAL_ERROR "freetype2 headers not found")
ENDIF(FREETYPE_INCLUDE_DIR_freetype2)
INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIR_freetype2})



# sources
FILE(GLOB_RECURSE astromenace_SRCS AstroMenaceSource/*.cpp)

# targets
IF(DEFINED DATADIR)
	ADD_DEFINITIONS(-DDATADIR=\\"${DATADIR}\\")
ENDIF(DEFINED DATADIR)

# we need all speed optimization flags, this could add up to 40% FPS in game
ADD_DEFINITIONS(${SDL_CFLAGS} "-O -O1 -O2 -O3 -Os -fomit-frame-pointer")
ADD_EXECUTABLE(AstroMenace ${astromenace_SRCS})
TARGET_LINK_LIBRARIES(AstroMenace ${ALL_LIBRARIES})

=== debian/changelog ===
astromenace (1.3.1+repack-3) unstable; urgency=low

  * Add temporary patch debian/patches/08_do_not_touch_home_dir.patch:
    Without this patch AstroMenace creates directory ~/.config/astromenace/
    during generation of gamedata.vfs file. When sudo is used for package
    installation, this created directory is owned by root, so game settings
    cannot be saved by user. (LP: #1181847)
  * Add xz-utils to astromenace dependencies. (Closes: #714609)
  * Fix lintian note desktop-entry-lacks-keywords-entry.

 -- Boris Pek <tehnick@debian.org>  Mon, 01 Jul 2013 22:02:35 +0300

astromenace (1.3.1+repack-2) unstable; urgency=low

  * Add temporary patches:
    - debian/patches/01_keyboard_control-fix.patch:
      fix minor bug with keyboard control over active menu elements during
      setup game control keys.
    - debian/patches/02_blinking_triangles.patch:
      fix bug that might corrupt overall game rendering (big blinking
      triangles over scene).
    - debian/patches/03_overflow_vfs.patch:
      fix overflow in VFS code. (Closes: #709279)
    - debian/patches/04_textures_quality.patch:
      fix Textures Quality option work during game data loading with new
      planetary and normal map textures.
    - debian/patches/05_blend_disable_fix.patch:
      fix minor bug in texture blend setup code (now will change OpenGL state
      proper during blend disabling).
    - debian/patches/06_compression_options_fix.patch:
      fix menu elements texture generation, will count on compression options
      now.
    - debian/patches/07_percent_sign_profile_input_fix.patch:
      fix text input code in Profile Menu for percent sign (%).
    All these patches are already applied in the upstream VCS and will come
    in the next stable release.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 22 May 2013 23:10:26 +0300

astromenace (1.3.1+repack-1) unstable; urgency=low

  * Initial release (Closes: #493350).

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 09 Apr 2013 02:04:25 +0300

=== debian/control ===
Source: astromenace
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Boris Pek <tehnick@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
              ,imagemagick
              ,cmake
              ,libalut-dev
              ,libfreetype6-dev
              ,libjpeg-dev
              ,libogg-dev
              ,libopenal-dev
              ,libsdl1.2-dev
              ,libvorbis-dev
              ,libxinerama-dev
Homepage: http://www.viewizard.com/astromenace/index_linux.php
Vcs-Git: git://anonscm.debian.org/pkg-games/astromenace.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/astromenace.git

Package: astromenace
Architecture: any
Depends: ${misc:Depends}
        ,${shlibs:Depends}
        ,astromenace-data-src
        ,fonts-liberation
        ,fonts-freefont-ttf
        ,ttf-dejavu-core
        ,xz-utils
Description: hardcore 3D space shooter with spaceship upgrade possibilities
 AstroMenace is an astonishing hardcore scroll-shooter where brave space
 warriors may find a great opportunity to hone their combat skills.
 Gather money during the battle to spend them on turning your spaceship
 into an ultimate weapon of mass destruction and give hell to swarms of
 adversaries. Enjoy the wonderfully crafted 3d graphics and high-quality
 special effects along with a detailed difficulty adjustment and a handy
 interface of AstroMenace.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean debian/*.xpm CMakeCache.txt cmake_install.cmake Makefile
	$(RM) -r CMakeFiles

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(CURDIR)

override_dh_auto_build:
	dh_auto_build
	## build menu icon
	convert astromenace_64.png -resize 32x32 debian/astromenace.xpm

override_dh_install:
	dh_install --exclude=astromenace_64.png

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

override_dh_builddeb:
	dh_builddeb -- -Zxz

DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
.PHONY: get-orig-source
get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
	tar xjf "astromenace_$(VER).orig.tar.bz2"
	rm -r "AstroMenace/MacOSX.zip" "AstroMenace/RAW_VFS_DATA"
	tar -cJf "astromenace_$(VER)+repack.orig.tar.xz" "AstroMenace"
	rm -r "AstroMenace" "astromenace_$(VER).orig.tar.bz2"

## astromenace 1.3.2%2Brepack

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Boris Pek <tehnick@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9)
               ,imagemagick
               ,cmake
@@ -16,6 +16,7 @@
               ,libsdl1.2-dev
               ,libvorbis-dev
               ,libxinerama-dev
+              ,libfontconfig1-dev
 Homepage: http://www.viewizard.com/astromenace/index_linux.php
 Vcs-Git: git://anonscm.debian.org/pkg-games/astromenace.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/astromenace.git
@@ -24,8 +25,9 @@
 Architecture: any
 Depends: ${misc:Depends}
         ,${shlibs:Depends}
-        ,astromenace-data-src
+        ,astromenace-data-src (>= 1.3.2~)
         ,fonts-liberation
+        ,fonts-linuxlibertine
         ,fonts-freefont-ttf
         ,ttf-dejavu-core
         ,xz-utils

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,15 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
-DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
+USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
+CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
 .PHONY: get-orig-source
 get-orig-source:
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
-	tar xjf "astromenace_$(VER).orig.tar.bz2"
+	wget -c "$(CUR_URL)" -O "astromenace_$(CUR_VER).orig.tar.bz2"
+	tar xjf "astromenace_$(CUR_VER).orig.tar.bz2"
 	rm -r "AstroMenace/MacOSX.zip" "AstroMenace/RAW_VFS_DATA"
-	tar -cJf "astromenace_$(VER)+repack.orig.tar.xz" "AstroMenace"
-	rm -r "AstroMenace" "astromenace_$(VER).orig.tar.bz2"
+	mv "AstroMenace" "astromenace-$(CUR_VER)+repack"
+	tar -cJf "astromenace_$(CUR_VER)+repack.orig.tar.xz" "astromenace-$(CUR_VER)+repack"
+	rm -r "astromenace-$(CUR_VER)+repack" "astromenace_$(CUR_VER).orig.tar.bz2"

## astromenace 1.3.2+repack

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# project name
PROJECT(AstroMenace)




# AstroMenaceFS2VFS
# standalone pack utility for AstroMenace game (gamedata.vfs file)
IF(DEFINED FS2VFS)
	# sources
	FILE(GLOB astromenace_SRCS AstroMenaceSource/MainFS2VFS.cpp
			AstroMenaceSource/Core/VirtualFileSystem/VFS.cpp
			AstroMenaceSource/Core/VirtualFileSystem/Haff.cpp
			AstroMenaceSource/Core/VirtualFileSystem/RLE.cpp)

	# targets
	ADD_EXECUTABLE(AstroMenaceFS2VFS ${astromenace_SRCS})
	TARGET_LINK_LIBRARIES(AstroMenaceFS2VFS)
	SET_TARGET_PROPERTIES(AstroMenaceFS2VFS PROPERTIES COMPILE_FLAGS "-O2 -Wno-unused-result -Dvfs_pack_standalone")
ENDIF(DEFINED FS2VFS)





# depends
set(SDL_CONFIG "sdl-config" CACHE STRING "Path to sdl-config script")
EXEC_PROGRAM(${SDL_CONFIG} ARGS "--cflags" OUTPUT_VARIABLE SDL_CFLAGS)
ADD_DEFINITIONS(${SDL_CFLAGS})
EXEC_PROGRAM(${SDL_CONFIG} ARGS "--libs" OUTPUT_VARIABLE SDL_LIBS)


IF (NOT APPLE)
FIND_PACKAGE(X11 REQUIRED)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${X11_LIBRARIES})
ENDIF (NOT APPLE)

FIND_PACKAGE(SDL REQUIRED)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${SDL_LIBS})

FIND_PACKAGE(OpenGL REQUIRED)
IF(OPENGL_FOUND)
	INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${OPENGL_gl_LIBRARY})
ELSE(OPENGL_FOUND)
	MESSAGE(FATAL_ERROR "OpenGL not found")
ENDIF(OPENGL_FOUND)

FIND_PACKAGE(OpenAL REQUIRED)
SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${OPENAL_LIBRARY})



# Xinerama lib + header

IF (NOT APPLE)
FIND_LIBRARY(XINERAMA_LIBRARY Xinerama)
IF(XINERAMA_LIBRARY)
	MESSAGE(STATUS "Found Xinerama: ${XINERAMA_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${XINERAMA_LIBRARY})
ELSE(XINERAMA_LIBRARY)
	MESSAGE(STATUS "Xinerama library not found, Xinerama compilation feature disabled.")
ENDIF(XINERAMA_LIBRARY)
FIND_PATH(XINERAMA_INCLUDE_DIR X11/extensions/Xinerama.h
 	HINTS
 	PATHS
 	PATH_SUFFIXES include)
IF(XINERAMA_INCLUDE_DIR)
	MESSAGE(STATUS "Found Xinerama headers: ${XINERAMA_INCLUDE_DIR}")
	INCLUDE_DIRECTORIES(${XINERAMA_INCLUDE_DIR})
ELSE(XINERAMA_INCLUDE_DIR)
	MESSAGE(STATUS "Xinerama headers not found, Xinerama compilation feature disabled.")
ENDIF(XINERAMA_INCLUDE_DIR)
ENDIF (NOT APPLE)


# GLU lib + header (GLU - part of OpenGL framework in MacOSX)

IF (NOT APPLE)
FIND_LIBRARY(GLU_LIBRARY GLU)
IF(GLU_LIBRARY)
	MESSAGE(STATUS "Found GLU: ${GLU_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${GLU_LIBRARY})
ELSE(GLU_LIBRARY)
	MESSAGE(FATAL_ERROR "GLU not found")
ENDIF(GLU_LIBRARY)
FIND_PATH(GLU_INCLUDE_DIR GL/glu.h
 	HINTS
	$ENV{GLUTDIR}
	$ENV{GLU_PATH}
 	PATHS
 	PATH_SUFFIXES include/GL include)
IF(GLU_INCLUDE_DIR)
	MESSAGE(STATUS "Found GLU headers: ${GLU_INCLUDE_DIR}")
	INCLUDE_DIRECTORIES(${GLU_INCLUDE_DIR})
ELSE(GLU_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "GLU headers not found")
ENDIF(GLU_INCLUDE_DIR)
ENDIF (NOT APPLE)


# alut lib + header

FIND_LIBRARY(ALUT_LIBRARY alut)
IF(ALUT_LIBRARY)
	MESSAGE(STATUS "Found alut: ${ALUT_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${ALUT_LIBRARY})
ELSE(ALUT_LIBRARY)
	MESSAGE(FATAL_ERROR "alut not found")
ENDIF(ALUT_LIBRARY)
FIND_PATH(ALUT_INCLUDE_DIR alut.h
 	HINTS
	$ENV{ALUTDIR}
	$ENV{ALUT_PATH}
 	PATHS
 	PATH_SUFFIXES include/AL include)
IF(ALUT_INCLUDE_DIR)
	MESSAGE(STATUS "Found alut headers: ${ALUT_INCLUDE_DIR}")
	INCLUDE_DIRECTORIES(${ALUT_INCLUDE_DIR})
ELSE(ALUT_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "alut headers not found")
ENDIF(ALUT_INCLUDE_DIR)


# ogg lib + header

FIND_LIBRARY(OGG_LIBRARY ogg)
IF(OGG_LIBRARY)
	MESSAGE(STATUS "Found ogg: ${OGG_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${OGG_LIBRARY})
ELSE(OGG_LIBRARY)
	MESSAGE(FATAL_ERROR "ogg not found")
ENDIF(OGG_LIBRARY)
FIND_PATH(OGG_INCLUDE_DIR ogg/ogg.h
	HINTS
	$ENV{OGGDIR}
        $ENV{OGG_PATH}
 	PATHS
 	PATH_SUFFIXES include)
IF(OGG_INCLUDE_DIR)
	MESSAGE(STATUS "Found ogg headers: ${OGG_INCLUDE_DIR}")
	INCLUDE_DIRECTORIES(${OGG_INCLUDE_DIR})
ELSE(OGG_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "ogg headers not found")
ENDIF(OGG_INCLUDE_DIR)


# vorbis lib

FIND_LIBRARY(VORBIS_LIBRARY vorbis)
IF(VORBIS_LIBRARY)
	MESSAGE(STATUS "Found vorbis: ${VORBIS_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${VORBIS_LIBRARY})
ELSE(VORBIS_LIBRARY)
	MESSAGE(FATAL_ERROR "vorbis not found")
ENDIF(VORBIS_LIBRARY)


# vorbisfile lib + header

FIND_LIBRARY(VORBISFILE_LIBRARY vorbisfile)
IF(VORBISFILE_LIBRARY)
	MESSAGE(STATUS "Found vorbisfile: ${VORBISFILE_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${VORBISFILE_LIBRARY})
ELSE(VORBISFILE_LIBRARY)
	MESSAGE(FATAL_ERROR "vorbisfile not found")
ENDIF(VORBISFILE_LIBRARY)
FIND_PATH(VORBISFILE_INCLUDE_DIR vorbis/vorbisfile.h
	HINTS
        $ENV{VORBISFILEDIR}
        $ENV{VORBISFILE_PATH}
        $ENV{VORBISDIR}
        $ENV{VORBIS_PATH}
 	PATHS
 	PATH_SUFFIXES vorbis include)
IF(VORBISFILE_INCLUDE_DIR)
	MESSAGE(STATUS "Found vorbisfile headers: ${VORBISFILE_INCLUDE_DIR}")
	INCLUDE_DIRECTORIES(${VORBISFILE_INCLUDE_DIR})
ELSE(VORBISFILE_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "vorbisfile headers not found")
ENDIF(VORBISFILE_INCLUDE_DIR)


# freetype lib + header

FIND_LIBRARY(FREETYPE_LIBRARY freetype)
IF(FREETYPE_LIBRARY)
	MESSAGE(STATUS "Found freetype: ${FREETYPE_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${FREETYPE_LIBRARY})
ELSE(FREETYPE_LIBRARY)
	MESSAGE(FATAL_ERROR "freetype not found")
ENDIF(FREETYPE_LIBRARY)
FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h
	HINTS
	$ENV{FREETYPE_DIR}/include/freetype2
	PATHS
	PATH_SUFFIXES freetype2)
IF(FREETYPE_INCLUDE_DIR_freetype2)
	MESSAGE(STATUS "Found freetype2 headers: ${FREETYPE_INCLUDE_DIR_freetype2}")
	INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIR_freetype2})
ELSE(FREETYPE_INCLUDE_DIR_freetype2)
	EXEC_PROGRAM("freetype-config" ARGS "--cflags" OUTPUT_VARIABLE freetype2_CFLAGS)
	IF(freetype2_CFLAGS)
		MESSAGE(STATUS "Found freetype2 cflags: ${freetype2_CFLAGS}")
		ADD_DEFINITIONS(${freetype2_CFLAGS})
	ELSE(freetype2_CFLAGS)
		MESSAGE(FATAL_ERROR "freetype2 headers not found")
	ENDIF(freetype2_CFLAGS)
ENDIF(FREETYPE_INCLUDE_DIR_freetype2)


# fontconfig lib + header

IF (NOT APPLE)
FIND_LIBRARY(FONTCONFIG_LIBRARY fontconfig)
IF(FONTCONFIG_LIBRARY)
	MESSAGE(STATUS "Found fontconfig: ${FONTCONFIG_LIBRARY}")
	SET(ALL_LIBRARIES ${ALL_LIBRARIES} ${FONTCONFIG_LIBRARY})
ELSE(FONTCONFIG_LIBRARY)
	MESSAGE(STATUS "fontconfig library not found, fontconfig compilation feature disabled.")
ENDIF(FONTCONFIG_LIBRARY)
FIND_PATH(FONTCONFIG_INCLUDE_DIR_fontconfig fontconfig/fontconfig.h
	HINTS
	PATHS
	PATH_SUFFIXES fontconfig)
IF(FONTCONFIG_INCLUDE_DIR_fontconfig)
	MESSAGE(STATUS "Found fontconfig headers: ${FONTCONFIG_INCLUDE_DIR_fontconfig}")
	INCLUDE_DIRECTORIES(${FONTCONFIG_INCLUDE_DIR_fontconfig})
ELSE(FONTCONFIG_INCLUDE_DIR_fontconfig)
	MESSAGE(STATUS "fontconfig headers not found, fontconfig compilation feature disabled.")
ENDIF(FONTCONFIG_INCLUDE_DIR_fontconfig)
ENDIF (NOT APPLE)


# sources
FILE(GLOB_RECURSE astromenace_SRCS AstroMenaceSource/*.cpp)

# targets
IF(DEFINED DATADIR)
	ADD_DEFINITIONS(-DDATADIR=\\"${DATADIR}\\")
ENDIF(DEFINED DATADIR)
IF(XINERAMA_LIBRARY AND XINERAMA_INCLUDE_DIR)
	ADD_DEFINITIONS(-Dxinerama_detected_by_cmake)
ENDIF(XINERAMA_LIBRARY AND XINERAMA_INCLUDE_DIR)
IF(FONTCONFIG_LIBRARY AND FONTCONFIG_INCLUDE_DIR_fontconfig)
	ADD_DEFINITIONS(-Dfontconfig_detected_by_cmake)
ENDIF(FONTCONFIG_LIBRARY AND FONTCONFIG_INCLUDE_DIR_fontconfig)

# we need speed optimization flag Os, this could add up to 40% FPS in game
ADD_DEFINITIONS("-Os")
ADD_EXECUTABLE(AstroMenace ${astromenace_SRCS})
TARGET_LINK_LIBRARIES(AstroMenace ${ALL_LIBRARIES})

=== debian/changelog ===
astromenace (1.3.2+repack-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113665)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 20:55:04 +0300

astromenace (1.3.2+repack-7) unstable; urgency=high

  * Team upload.
  * debian/control: Update font dependency and replace ttf-dejavu
    with fonts-dejavu-core. (Closes: #962195)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 12:18:14 -0400

astromenace (1.3.2+repack-6) unstable; urgency=medium

  * Standards-Version will not be bumped to 4.1.4 or newer, because
    get-orig-source section is used in debian/rules.
  * Bump debhelper version to 12~ (was 11); update debian/compat.
  * Update Homepage field in debian/control.
  * Update debian/copyright:
    - add Disclaimer field to describe why package is in "contrib"
    - http --> https
    - update years
  * Simplify debian/rules:
    - delete --parallel and --list-missing options from dh
    - stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
      as workaround for cmake because debhelper already does this since version
      9.20120417
  * Update URL in debian/watch.
  * Delete debian/source/options.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Fri, 02 Aug 2019 01:33:09 +0300

astromenace (1.3.2+repack-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (was 4.0.0).
  * Bump debhelper version to 11 (was 10); update debian/compat.
  * Update debian/control:
    - update Vcs-* fields: moved from Alioth to Salsa
    - update using wrap-and-sort tool
  * Update debian/rules: add --list-missing option to dh.
  * Update years and Format URL in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Wed, 07 Feb 2018 22:59:20 +0300

astromenace (1.3.2+repack-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (was 3.9.5).
  * Bump debhelper version to 10 (was 9); update debian/compat.
  * Delete debian/astromenace.menu:
    the menu system is deprecated in favor of the FreeDesktop menu standard.
  * Dmitry Smirnov removed himself from Uploaders.
  * Update Vcs-* fields in debian/control.
  * Update debian/rules:
    - set DEB_CXXFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND and
      DEB_BUILD_MAINT_OPTIONS variables
    - simplify build rules
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 04 Aug 2017 17:54:46 +0300

astromenace (1.3.2+repack-3) unstable; urgency=medium

  * Add patch debian/patches/disable_GL_ARB_texture_compression_bptc.patch:
    After disabling GL_ARB_texture_storage in patch
    fix_work_on_intel_videocards.patch GL_ARB_texture_compression_bptc feature
    may work incorrectly with new NVIDIA and AMD video cards. There are no bug
    reports yet. This patch was made just in case by developer recommendation.

 -- Boris Pek <tehnick@debian.org>  Thu, 19 Dec 2013 17:42:30 +0400

astromenace (1.3.2+repack-2) unstable; urgency=medium

  * Add patch debian/patches/fix_work_on_intel_videocards.patch:
    Mesa developers have enabled GL_ARB_texture_storage for all drivers [1], so
    i915 and i965 drivers now claim the support of this OpenGL extension, but
    texture storage feature does not actually work there.
    .
    [1] http://lists.freedesktop.org/archives/mesa-dev/2013-June/041188.html
    .
    This patch is just workaround to make the game work on intel videocards with
    new Mesa. But real problem should be fixed in Mesa.
    (Closes: #718680)

 -- Boris Pek <tehnick@debian.org>  Thu, 19 Dec 2013 15:37:09 +0400

astromenace (1.3.2+repack-1) unstable; urgency=medium

  * Update to stable release 1.3.2.
  * Bump Standards-Version to 3.9.5 (was 3.9.4): no changes required.
  * Add build dependency on libfontconfig1-dev.
  * Update get-orig-source in debian/rules:
    - always download latest version of program
    - rename root directory for specifying program version
  * Update patches:
    - debian/patches/compress_gamedata.patch
    - debian/patches/debian_customisations.patch
  * Add patch debian/patches/enable_fontconfig_support.patch.
  * Delete patch debian/patches/fix-font-in-use.patch:
    fontconfig is supported now, so this workaround is not needed anymore.
  * Delete patches:
    - debian/patches/01_keyboard_control-fix.patch
    - debian/patches/02_blinking_triangles.patch
    - debian/patches/03_overflow_vfs.patch
    - debian/patches/04_textures_quality.patch
    - debian/patches/05_blend_disable_fix.patch
    - debian/patches/06_compression_options_fix.patch
    - debian/patches/07_percent_sign_profile_input_fix.patch
    - debian/patches/08_do_not_touch_home_dir.patch
    They are in upstream now.
  * Simplify debian/astromenace.postinst:
    fontconfig is supported now, so symlinks to fonts are not needed anymore.
  * Package astromenace depends on astromenace-data-src (>= 1.3.2~) and
    fonts-linuxlibertine now.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 19 Dec 2013 09:48:06 +0400

=== debian/control ===
Source: astromenace
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>
Standards-Version: 4.1.3
Build-Depends: cmake,
               debhelper (>= 12~),
               imagemagick,
               libalut-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libsdl1.2-dev,
               libvorbis-dev,
               libxinerama-dev
Homepage: https://viewizard.com/
Vcs-Git: https://salsa.debian.org/games-team/astromenace.git
Vcs-Browser: https://salsa.debian.org/games-team/astromenace

Package: astromenace
Architecture: any
Depends: astromenace-data-src (>= 1.3.2~),
         fonts-freefont-ttf,
         fonts-liberation,
         fonts-linuxlibertine,
         fonts-dejavu-core,
         xz-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: hardcore 3D space shooter with spaceship upgrade possibilities
 AstroMenace is an astonishing hardcore scroll-shooter where brave space
 warriors may find a great opportunity to hone their combat skills.
 Gather money during the battle to spend them on turning your spaceship
 into an ultimate weapon of mass destruction and give hell to swarms of
 adversaries. Enjoy the wonderfully crafted 3d graphics and high-quality
 special effects along with a detailed difficulty adjustment and a handy
 interface of AstroMenace.

=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean debian/*.xpm CMakeCache.txt cmake_install.cmake Makefile
	$(RM) -r CMakeFiles

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(CURDIR)

override_dh_auto_build:
	dh_auto_build
	## build menu icon
	convert astromenace_64.png -resize 32x32 debian/astromenace.xpm

override_dh_install:
	dh_install --exclude=astromenace_64.png

get-orig-source:
	wget -c "$(CUR_URL)" -O "astromenace_$(CUR_VER).orig.tar.bz2"
	tar xjf "astromenace_$(CUR_VER).orig.tar.bz2"
	rm -r "AstroMenace/MacOSX.zip" "AstroMenace/RAW_VFS_DATA"
	mv "AstroMenace" "astromenace-$(CUR_VER)+repack"
	tar -cJf "astromenace_$(CUR_VER)+repack.orig.tar.xz" "astromenace-$(CUR_VER)+repack"
	rm -r "astromenace-$(CUR_VER)+repack" "astromenace_$(CUR_VER).orig.tar.bz2"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
 https://github.com/viewizard/astromenace/tags \
 .*/viewizard/astromenace/archive/v(\d.+)\.tar\.gz \
 debian uupdate
